<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	load.helper.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

defined( '_JEXEC' ) or die( 'Restricted access' );

class bdgHelperLoad
{
	function getlist($table) {
		$db = &JFactory::getDBO();
		$query = "SELECT * FROM #__bdg_".$table;
		$db->setQuery($query);
		return $db->loadObjectList();
	}

	function getlist_types($id) {
		$items[]		= JHTML::_('select.option',  'porc', JText::_( 'Porcentage' ), 'id', 'title' );
		$items[]		= JHTML::_('select.option',  'normal', JText::_( 'Normal' ), 'id', 'title' );
        $items[]		= JHTML::_('select.option',  'mul', JText::_( 'Multiplication' ), 'id', 'title' );
        $items[]		= JHTML::_('select.option',  'div', JText::_( 'Division' ), 'id', 'title' );

		$list		= JHTML::_('select.genericlist',   $items, 'type', 'class="inputbox" size="1"'.$javascript,'id', 'title', $id );
		return $list;
	}

	function getelements() {
		$db = &JFactory::getDBO();
		$query = ' SELECT b.id, b.title, b.description'
			. ' FROM #__bdg_items AS b'
			. ' WHERE b.published = 1';

		$db->setQuery($query);
		$rows = $db->loadObjectList();
		return $rows;
	}
}
