<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	budget.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class bdgModelBudget extends JModel
{
	function __construct()
	{
		parent::__construct();
	}

	function store($data)
	{	
		$row =& $this->getTable('type');

		if (!$row->bind($data)) {
			return false;
		}

		if (!$row->check()) {
			return false;
		}

		if (!$row->store()) {;
			return false;
		}

		return true;
	}
	
	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$row =& $this->getTable('budgets');
  		$db = & JFactory::getDBO();
  		
		if (count( $cids )) {
			foreach($cids as $cid) {
				$query = "DELETE FROM #__bdg_budgets_elements WHERE budget_id = ".$cid;
				$db->setQuery($query);
				if (!$db->query()) {
					$this->setError( $db->getErrorMsg() );
					//return false;
				}
				$query = "DELETE FROM #__bdg_budgets_revision WHERE budget_id = ".$cid;
				$db->setQuery($query);
				if (!$db->query()) {
					$this->setError( $db->getErrorMsg() );
					//return false;
				}
				$query = "DELETE FROM #__bdg_budgets_messages WHERE budget_id = ".$cid;
				$db->setQuery($query);
				if (!$db->query()) {
					$this->setError( $db->getErrorMsg() );
					//return false;
				}
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}
	
	function save_element($element) {
		//return $e->store();
	}
	
	function save_revision($revision, $elements) {
		$row = & $this->getTable('budgets_revision');
		
		if (!$row->bind($revision)) {
			return false;
		}

		if (!$row->check()) {
			return false;
		}

		if (!$row->store()) {;
			return false;
		}

		/*foreach($elements as $e) {
			if (!save_element($e))
				return false;			
		}*/
		return true;
	}
	
	function save_comment($comment) {
		$row = & $this->getTable('budgets_messages');
		if (!$row->bind($comment)) {
			return false;
		}

		if (!$row->check()) {
			return false;
		}

		if (!$row->store()) {;
			return false;
		}

		return true;
	}

	function getBudget($budget_id) {
		$row =& $this->getTable('budgets');
		$row->load($budget_id);
		if ($row->state = "New") {
			$row->state = "Opened";
			$row->store();
		}
		return ($row);
	}
	
	function getElements($budget_id, $rev_id) {
		if ($rev_id == null) $rev_id = 0;
		$db = &JFactory::getDBO();
		$query = "SELECT * FROM #__bdg_budgets_elements WHERE budget_id = ".$budget_id." AND revision_id = ".$rev_id;
		$db->setQuery($query);
		$elements = $db->loadObjectList();
		return $elements;
	}
	
	function getRevisions($budget_id) {
		$db = &JFactory::getDBO();
		$query = "SELECT count(*) as count FROM #__bdg_budgets_revision WHERE budget_id = ".$budget_id;
		$db->setQuery($query);
		return $db->loadResult();	
	}
	
	function getRevision($budget_id, $rev_id) {
		if ($rev_id == null) $rev_id = 0;
		if ($rev_id == 0) {
			$row = &$this->getTable('budgets');
			$row->load($budget_id);
			$row->revision_num = 0;
		} else {
			$db = &JFactory::getDBO();
			$query = "SELECT * FROM #__bdg_budgets_revision WHERE budget_id = ".$budget_id." AND revision_num = ".$rev_id;
			$db->setQuery($query);
			$row = $db->loadObject();
		}
		return $row;
	}
	
	function getMessages($budget_id) {
		$db = &JFactory::getDBO();
		$query = "SELECT * FROM #__bdg_budgets_messages WHERE budget_id = ".$budget_id;
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		return $rows;
	}
	
	function getType($type_id) {
		$row =& $this->getTable('type');
		$row->load($type_id);
		return $row;
	}
	
	function getLists($type) {
		$combo[]		= JHTML::_('select.option',  'porc', '%', 'id', 'title' );
		$combo[]		= JHTML::_('select.option',  'normal', bdgHelperConfig::getConfig()->currency, 'title' );
		
		$javascript = 'onchange="document.adminForm.submit();"';
		$lists['type']		= JHTML::_('select.genericlist',   $combo, 'element_type', 'class="inputbox" size="1"'.$javascript,'id', 'title', $type );		
	}
}
