<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	element.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class bdgModelElement extends JModel
{
	function __construct()
	{
		parent::__construct();
	}

	function store($data)
	{	
		$row =& $this->getTable('element');

		if (!$row->bind($data)) {
			return false;
		}

		if (!$row->check()) {
			return false;
		}

		if (!$row->store()) {
			return false;
		}

		$row->reorder('type_id = ' . (int) $row->type_id);
		return true;
	}	
	
	function delete()
	{
		$cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );
		$row =& $this->getTable('element');
  
		if (count( $cids )) {
			foreach($cids as $cid) {
				if (!$row->delete( $cid )) {
					$this->setError( $row->getErrorMsg() );
					return false;
				}
			}
		}
		return true;
	}

	function getData()
	{
		$id = JRequest::getVar('cid');
		$row =& $this->getTable('element');
		$row->load($id[0]);
		return $row;
	}

	function getList($type_id, $item_id = 0)
	{
		// type filter
		$types = bdgHelperLoad::getlist('types');
		$initial[] = JHTML::_('select.option', '999999999', JText::_('COM_JBUDGETSMAGIC_SELECT_TYPE'), 'id', 'title' );
		$types = array_merge( $initial, $types );

		//$javascript = 'onchange="document.adminForm.submit();"';
                $javascript = "";
		$lists['type']	= JHTML::_('select.genericlist',   $types, 'type_id', 'class="inputbox" size="1"'.$javascript,'id', 'title', $type_id );
		$elements = bdgHelperLoad::getelements();
		$lists['elements'] = JHTML::_('select.genericlist', $elements, 'item_id', 'class="inputbox" size="1"', 'id', 'title', $item_id);

		return $lists;
	}
}
