<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	form.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');
jimport('joomla.html.pane');
$pane =& JPane::getInstance('tabs');
?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<?php 
echo $pane->startPane( 'pane' );
echo $pane->startPanel( JText::_( 'COM_JBUDGETSMAGIC_BUDGET' ), 'budget' );
?>
<br>
<fieldset class="adminform">
<legend><?php echo JText::_( 'COM_JBUDGETSMAGIC_INFORMATION' ); ?></legend>
	<div id="bdg_content">
	<table class="admintable" width="100%">
		<tr>
			<td width="30%"><?php echo JText::_('COM_JBUDGETSMAGIC_STATUS');?></td>
			<td><?php echo JText::_("COM_JBUDGETSMAGIC_".$this->budget->state);?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('COM_JBUDGETSMAGIC_TYPE');?></td>
			<td><div class="bdg_title hasTip" title="<?php echo $this->type->description;?>">
			<?php echo $this->type->title;?>
			</div></td>	
		</tr>
		<tr>
			<td><?php echo JText::_('COM_JBUDGETSMAGIC_NAME');?></td>
			<td>
			<div class="bdg_title hasTip" title="<?php echo $this->budget->description;?>">
				<?php echo $this->budget->title;?>
			</div>
			</td>
		</tr>		
		<tr><?php /*
			<td><?php echo JText::_('Change Status');?></td>
			<td>
			<?php if (($this->budget->state == 'New') || ($this->budget->state == 'Opened')) { ?>
				<a class="bdg_approve" href="<?php echo $this->url_approve;?>"><?php echo JText::_('Approve Budget');?></a>
				<a class="bdg_cancel" href="<?php echo $this->url_cancel;?>"><?php echo JText::_('Cancel Budget');?></a>
			<?php } else { ?>
				<a class="bdg_open" href="<?php echo $this->url_open;?>"><?php echo JText::_('Open Budget');?></a>
			<?php } ?>
			</td>*/?>
		</tr>
		<tr>
			<td>
			<?php echo JText::_('COM_JBUDGETSMAGIC_REVISION');?>
			</td>
			<td>
 			<?php echo $this->revision->revision_num . ' ' . JText::_('COM_JBUDGETSMAGIC_OF') . ' ' . $this->revisions;?>
			</td>		
		</tr>
		<tr>
			<td><?php echo JText::_('COM_JBUDGETSMAGIC_FIRST_DATE');?></td>
			<td><?php echo JHTML::_('date', $this->budget->upload, JText::_('DATE_FORMAT_LC2'));?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('COM_JBUDGETSMAGIC_REVISION_DATE');?></td>
			<td><?php echo JHTML::_('date', $this->revision->upload, JText::_('DATE_FORMAT_LC2'));?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('COM_JBUDGETSMAGIC_USER');?></td>
			<td><a href="index.php?option=com_users&view=user&task=edit&cid[]=<?php echo $this->budget->user_id;?>"><?php echo JFactory::getUser($this->budget->user_id)->username;?></a></td>
		</tr>
	</table>
	</div>
</fieldset>
<?php
echo $pane->endPanel();
echo $pane->startPanel( JText::_( 'COM_JBUDGETSMAGIC_REVISION' ).' '.$this->revision->revision_num, 'revision' );
?>
<br>
<fieldset class="adminform">
<legend><?php echo JText::_( 'COM_JBUDGETSMAGIC_BUDGET' ); ?></legend>
	<div id="bdg_content">
	<table class="admintable" width="100%">
		<tr>
			<th><?php echo JText::_('COM_JBUDGETSMAGIC_ITEM');?></th>
			<th align="right"><?php echo JText::_('COM_JBUDGETSMAGIC_DESCRIPTION');?></th>
			<th align="right"><?php echo JText::_('COM_JBUDGETSMAGIC_AMOUNT');?></th>
			<th align="right"><?php echo JText::_('COM_JBUDGETSMAGIC_PRICE');?></th>
			<th align="right"><?php echo JText::_('COM_JBUDGETSMAGIC_TOTAL');?></th>
			<th align="right"><?php echo JText::_('COM_JBUDGETSMAGIC_TYPE');?></th>
		</tr>
		<?php foreach ($this->elements as $e) { 
		?>
		<tr class="element">
			<td class="title">
				<input type="text" name="element_title_<?php echo $e->element_id;?>" id="element_title_<?php echo $e->element_id;?>" value="<?php echo $e->element_title;?>" size=30/>
			</td>
			<td>
				<input type="text" name="element_description_<?php echo $e->element_id;?>" id="element_description_<?php echo $e->element_id;?>" value="<?php echo $e->element_description;?>" size=60/>
			</td>
			<td>
				<input type="text" name="element_amount_<?php echo $e->element_id;?>" id="element_amount_<?php echo $e->element_id;?>" value="<?php echo $e->element_amount;?>"/>
			</td>
			<td>
				<input type="text" name="element_price_<?php echo $e->element_id;?>" id="element_price_<?php echo $e->element_id;?>" value="<?php echo $e->element_price;?>"/>
			</td>
			<td>
				<input type="text" name="element_total_<?php echo $e->element_id;?>" id="element_total_<?php echo $e->element_id;?>" value="<?php echo $e->element_total;?>"/>
			</td>
			<td>
			<?php
				$combo = Array();
				$combo[]		= JHTML::_('select.option',  'porc', '%', 'id', 'title' );
				$combo[]		= JHTML::_('select.option',  'normal', $this->curr, 'id', 'title' );
				$type		= JHTML::_('select.genericlist',   $combo, 'element_type_'.$e->element_id, 'class="inputbox" size="1"'.$javascript,'id', 'title', $e->element_type );
				echo $type;					
			?>
			</td>
		</tr>
		<?php } ?>		
	</table>
	</div>
	<table class="admintable" width="100%">
		<tr><td class="bdg_title" style="text-align:left">
			<?php echo JText::_('COM_JBUDGETSMAGIC_NOTES')?>
		</td></tr>
		<tr><td>
			<?php echo $this->editor1->display('notes', $this->revision->notes, '100%','200','40','6');?>		
		</td></tr>
	</table>
	<table class="admintable">
		<div id="bdg_result">
			<div id="text">
				<?php echo JTEXT::_('COM_JBUDGETSMAGIC_BUDGET_ORIGINAL_TOTAL');?><br><br>
				<b><?php echo JTEXT::_('COM_JBUDGETSMAGIC_BUDGET_TOTAL');?></b>
			</div>
			<div id="cant">
				<?php echo bdgHelperConfig::getCant($this->budget->price, $this->curr);?><br><br>
				<b>
				<?php echo bdgHelperConfig::getCant('<input style="text-align: right" type="text" name="total" id="total" value="'.$this->revision->price.'"/>', $this->curr);?></b>
			</div>
			<div class="Clr"></div>
		</div>	
	</table>
</fieldset>
<br>
<?php 
echo $pane->endPanel();
echo $pane->startPanel( JText::_('COM_JBUDGETSMAGIC_COMMENTS'), 'comments' );
?>
	<div id="bdg_comments">
	<div id="bdg_add_message">
		<div id="bdg_add_head">
			<?php echo JText::_('COM_JBUDGETSMAGIC_NEW_COMMENT');?>
		</div>
		<div id="bdg_add_title">
			<?php echo JText::_('COM_JBUDGETSMAGIC_TITLE');?><br>
			<input type="text" name="title" id="title" value="" size="80"/>
		</div>
		<div id="bdg_add_description">
			<?php echo JText::_('COM_JBUDGETSMAGIC_DESCRIPTION');?><br>
			<?php echo $this->editor2->display('description', '', '100%','160','','', false); ?>
		</div>
		<div class="Clr"></div><br>
	</div>	
	
	<?php if (!count($this->messages)) { ?>
		<?php echo JText::_('COM_JBUDGETSMAGIC_NO_COMMENTS');?>
	<?php } else { 
		foreach($this->messages as $ms) { ?>
		<div class="bdg_comment">		
			<div class="bdg_title">
				<?php echo $ms->title;?>
				<?php echo JText::_('COM_JBUDGETSMAGIC_BY');?>
				<?php $user = JFactory::getUser($ms->user_id); echo $user->username;?>, 
				<?php echo JHTML::_('date', $ms->upload, JText::_('DATE_FORMAT_LC2'));?>
			</div>
			<div class="bdg_description"><?php echo $ms->description;?></div>
		</div>
	<?php } } ?>
	</div>
<?php 
echo $pane->endPanel();
echo $pane->endPane();
?>	
	<input type="hidden" name="revisions" value="<?php echo ($this->revisions+1); ?>"/>
	<input type="hidden" name="rid" value="<?php echo $this->revision->revision_num;?>"/>
	<input type="hidden" name="bid" value="<?php echo $this->budget->id; ?>" />
	<input type="hidden" name="option" value="com_jbudgetsmagic" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="budget" />
</form>
