<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	default.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');

?>
<form action="index.php" method="post" name="adminForm">
<table>
	<tr>
		<td align="left" width="100%">
			<?php echo JText::_( 'COM_JBUDGETSMAGIC_FILTER' ); ?>:
			<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
			<button onclick="this.form.submit();"><?php echo JText::_( 'COM_JBUDGETSMAGIC_GO' ); ?></button>
			<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'COM_JBUDGETSMAGIC_RESET' ); ?></button>
		</td>
		<td nowrap="nowrap">
			<?php echo $this->lists['state']; ?>
		</td>
	</tr>
</table>
<div id="tablecell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'COM_JBUDGETSMAGIC_NUM' ); ?>
			</th>
			<th width="5%">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->types ); ?>);" />
			</th>
			<th width="15%" class="title">
				<?php echo JHTML::_('grid.sort','COM_JBUDGETSMAGIC_TITLE', 'title', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="10%" class="title">
				<?php echo JHTML::_('grid.sort','COM_JBUDGETSMAGIC_DATE', 'upload', @$this->lists['order_Dir'], @$this->lists['order'] );?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort','COM_JBUDGETSMAGIC_DESCRIPTION', 'description', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="5%" align="center">
				<?php echo JHTML::_('grid.sort','COM_JBUDGETSMAGIC_USER', 'user_id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
			<th width="5%" align="center">
				<?php echo JHTML::_('grid.sort','COM_JBUDGETSMAGIC_STATE', 'state', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>		
			<th width="1%" nowrap="nowrap">
				<?php echo JHTML::_('grid.sort','COM_JBUDGETSMAGIC_ID', 'id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
			</th>
		</tr>
	</thead>
	
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->budgets ); $i < $n; $i++)
	{
		$row = &$this->budgets[$i];
		$link 		= JRoute::_( 'index.php?option=com_jbudgetsmagic&controller=budget&task=edit&bid='. $row->id);
		
		$checked 	= JHTML::_('grid.id',  $i, $row->id );
		//$published 	= JHTML::_('grid.published', $row, $i );
		//$elements	= JHTML::_('image.site',  'icon-32-menu-types_elements.png', '/components/com_jbudgetsmagic/assets/images/', NULL, NULL, $row->type );
                if ($row->user_id != 0) {
                    $user = &JFactory::getUser($row->user_id);
                    $user_text = $user->email;
                    $user_link = 'index.php?option=com_users&view=user&task=edit&cid[]='.$user->id;
                } else {
                    $user_text = $row->user_email;
                    $user_link = "mailto:".$row->user_email;
                }
	?>
		<tr class="<?php echo "row$k"; ?>">
			<td width="5%">
				<?php echo $this->pagination->getRowOffset( $i ); ?>
			</td>
			<td width="5%">
				<?php echo $checked; ?>
			</td>
			<td>
				<span class="editlinktip hasTip" title="<?php echo JText::_( 'COM_JBUDGETSMAGIC_EDIT_BUDGET' );?>::<?php echo $row->title; ?>">
				<a href="<?php echo $link  ?>">
					<?php echo $row->title; ?></a></span>
			</td>
			<td align="center">
				<?php echo JHTML::_('date', $row->upload, JText::_('DATE_FORMAT_LC3'));?>
			</td>
			<td>
				<?php echo $row->description; ?>
			</td>
			<td>
				<?php echo '<a href="'.$user_link.'">'.$user_text.'</a>';?>
			</td>
			<td align="center">
				<?php echo JText::_("COM_JBUDGETSMAGIC_".$row->state);?>
			</td>		
			<td align="center">
				<?php echo $row->id; ?>
			</td>
		</tr>
		<?php
			$k = 1 - $k;
		}
		?>
	</tbody>
    <tfoot>
    <tr>
      <td colspan="13"><?php echo $this->pagination->getListFooter(); ?></td>
    </tr>
  </tfoot>
	</table>
</div>

	<input type="hidden" name="option" value="com_jbudgetsmagic" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<input type="hidden" name="controller" value="budget" />
	<input type="hidden" name="view" value="budgets" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
