<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagicic
  // File: 	view.html.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class bdgViewdsc extends JView
{
	function display($tpl = null)
	{
		require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbudgetsmagic'.DS.'helpers'.DS.'load.helper.php' );
		JHTML::stylesheet( 'bdg.css', 'administrator/components/com_jbudgetsmagic/assets/' );

		//Data from model
		$item	=& $this->get('Data');
		$isNew		= ($element->id < 1);
		$text = $isNew ? JText::_( 'COM_JBUDGETSMAGIC_NEW' ) : JText::_( 'COM_JBUDGETSMAGIC_EDIT' );
		
		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'COM_JBUDGETSMAGIC_DSC' ).': <small><small>[ ' . $text.' ]</small></small>', 'items_dsc');

		JToolBarHelper::save();
		JToolBarHelper::cancel();

		$items = bdgHelperLoad::getelements();
		$item_id = JRequest::getVar('item_id');
		$lists['items'] = JHTML::_('select.genericlist', $items, 'item_id', 'class="inputbox" size="1"', 'id', 'title', $item->item_id);
		$lists['published'] = JHTML::_('select.booleanlist',  'published', 'class="inputbox"', $item->published );

		$this->assignRef('item', $item);
		$this->assignRef('lists', $lists);
		$this->assignRef('type_id', $type_id);

		parent::display($tpl);
	}
}
