<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	form.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined('_JEXEC') or die('Restricted access'); 

JHTML::_('behavior.tooltip');

?>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<fieldset class="adminform">
	<legend><?php echo JText::_( 'COM_JBUDGETSMAGIC_DETAILS' ); ?></legend>
	<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<?php echo JText::_('COM_JBUDGETSMAGIC_TYPE');?>
			</td>
			<td>
				<?php echo $this->lists['type'];?>			
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="name">
					<?php echo JText::_( 'COM_JBUDGETSMAGIC_ITEM' ); ?>:
				</label>
			</td>
			<td colspan="2">
				<?php echo $this->lists['elements'];?>
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<?php echo JText::_('COM_JBUDGETSMAGIC_LEAST');?>
			</td>
			<td>
				<input class="text_area" type="text" name="min" id="min" size="32" maxlength="250" value="<?php echo $this->element->min;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<?php echo JText::_('COM_JBUDGETSMAGIC_MAXIMUM');?>
			</td>
			<td>
				<input class="text_area" type="text" name="max" id="max" size="32" maxlength="250" value="<?php echo $this->element->max;?>" />
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<?php echo JText::_('COM_JBUDGETSMAGIC_DEFAULT');?>
			</td>
			<td>
				<input class="text_area" type="text" name="def" id="def" size="32" maxlength="250" value="<?php echo $this->element->def;?>" />
			</td>
		</tr>
		<tr>
			<td with="100" align="right" class="key">
				<?php echo JText::_('COM_JBUDGETSMAGIC_GROUP');?>
			</td>
			<td>
				<input class="text_area" type="text" name="group" id="group" size="32" maxlength="250" value="<?php echo $this->element->group;?>" />
			</td>
		</tr>
	</table>
	</fieldset>

<!--	<input type="hidden" name="item_id" value="<?php echo $this->item_id;?>" />-->
	<input type="hidden" name="cid[]" value="<?php echo $this->element->id; ?>" />
	<input type="hidden" name="option" value="com_jbudgetsmagic" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="element" />
</form>
