<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	paypal.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.controller');

class bdgControllerPaypal extends JController
{
    function display() {
		parent::display();
    }
    
    function return_ok() {
    	$bid = JRequest::getInt('id');
    	$db = &JFactory::getDBO();
    	$query = "SELECT * FROM #__bdg_log_paypal WHERE bid = '".$bid."'";
    	$db->setQuery($query);
    	$rowtx = $db->loadObject();

    	$myb = $this->getModel('mybudget');
    	$total_rev = $myb->getRevisions($bid);
    	$last_rev_price = $myb->getLast($bid,$total_rev);

	$mainframe = &JFactory::getApplication();

    	if (!$rowtx->id > 0) {
    		$msg =  JText::_("Error, this transaction is invalid, you can contact with administration1");
    	} elseif ($rowtx->payment_state != "Completed") {
    		$msg = JText::_("Error, this transaction is already finished");
    	} elseif (($rowtx->amount != $last_rev_price) || ($bid != $rowtx->bid)) {
    		$msg = JText::_("Error, this transaction is invalid, you can contact with administration");
    	}
    	// Transaction is OK 
    	else {
    		$row = &JTable::getInstance('paypal','Table');
    		$row->load($rowtx->id);
    		$row->payment_state = "Buyed";
    		$row->store();

    		$rowb = &JTable::getInstance('budgets','Table');
    		$rowb->load($bid);
    		$rowb->state = "Buyed";
    		$rowb->store();
    		
    		$msg = JText::_('The budget has been buyed successfully!');
    	}
    	$mainframe->redirect('index.php?option=com_jbudgetsmagic&view=mybudgets',$msg);
    	//$row = &JTable::getInstance('paypal','Table');
    	//$rowtx 
    	//
    	// TODO: ¡CARGAR TX, COMPROBAR PRECIO CON EL PRESUPUESTO Y COBRAR!
    	//
    	//
    	//echo "HOLA MUNDO";
    }
    
    function notify() {
		// Preparamos BD de Joomla
		$db =& JFactory::getDBO();

		// read the post from PayPal system and add ‘cmd’
		$req = 'cmd=_notify-validate';
		foreach ($_POST as $key => $value) {
			$value = urlencode(stripslashes($value));
			$req .= "$key=$value\r\n";
		}

		$mainframe = &JFactory::getApplication();

		$params = $mainframe->getParams();

		$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
		$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";

		$url1 = $params->get('paypal_url');
		if ($url1 == 'https://www.paypal.com/cgi-bin/webscr') $url2 = 'www.paypal.com';
		else $url2 = 'www.sandbox.paypal.com';
		$fp = fsockopen ($url2, 80, $errno, $errstr, 30);

		if (!$fp) {
			//CONTROL DE ERRORES; NO SE PUEDE CONECTAR CON PAYPAL
			//NO ES GRAVE, COMO NO LE CONFIRMAMOS LA TRANSACCION
			//ELLOS MISMOS LA REINTENTARÁN MÁS ADELANTE
		}else{
			// TODO: Control de logs
			jimport('joomla.error.log');
			$log = &JLog::getInstance('com_jbudgetsmagic.paypal.php');
			$string = "Formulario recibido desde PayPal. Las variables recibidas, han sido: \r\n ".$req;
			$log->addEntry(array('comment' => $string));

			$bid = (int) $_POST['item_number'];
						
			$tx = $_POST['txn_id'];
			$payment_date = $_POST['payment_date'];
			$payment_status = $_POST['payment_status'];		
			$amount = $_POST['mc_gross'];

			switch(substr($payment_date,9,3)) {
                case 'Jan':
                    $mes = '01';
                break;
                case 'Feb':
                    $mes = '02';
                break;
                case 'Mar':
                    $mes = '03';
                break;
                case 'Apr':
                    $mes = '04';
                break;
                case 'May':
                    $mes = '05';
                break;
                case 'Jun':
                    $mes = '06';
                break;
                case 'Jul':
                    $mes = '07';
                break;
                case 'Ago':
                    $mes = '08';
                break;
                case 'Sep':
                    $mes = '09';
                break;
                case 'Oct':
                    $mes = '10';
                break;
				case 'Nov':
					$mes = "11";
				break;
                case 'Dic':
                    $mes = '12';
                break;
				default:
					$mes = "00";
				break;
			}

			$payment_date = substr($payment_date,17,4).'-'.$mes.'-'.substr($payment_date,13,2);


			$query = "INSERT INTO #__bdg_log_paypal (`id`, `bid`, `amount`, `tx`, `payment_date`, `payment_state`) VALUES ('',$bid,$amount,'$tx','$payment_date','$payment_status');";

			$db->setQuery($query);
			$db->query();

			$query = "SELECT * FROM #__bdg_budgets WHERE id = ".$bid;
			$db->setQuery($query);
			$row_user = $db->loadObjectList();


			$log->addEntry(array('comment' => $query));

			fclose ($fp);

			// Send Email
			$config =& JFactory::getConfig();
			$infoemail = $config->getValue( 'config.mailfrom' );
            $user_email = $row_user[0]->user_email;
			$infoname = $config->getValue( 'config.fromname' );
			$url_buy = JURI::Base() . 'index.php?option=com_jbudgetsmagic&controller=paypal&task=return_ok&id='.$bid;

			$message = sprintf(JText::_( 'EMAIL_BUYOK' ), $_POST['item_name'], $url_buy);
			
			$message = html_entity_decode($message, ENT_QUOTES);
			
			JUtility::sendMail($infoemail, $infoname, $user_email, $config->getValue('config.sitename'), $message);
		}    	
    }
    
    function cancel() {
    	echo JText::_('Buy cancelled');
    }
}
