<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	mybudget.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

class bdgModelMyBudget extends JModel
{
	function __construct()
	{
		parent::__construct();
	}
	
	function getLast($budget_id, $rev_id) {
		$lastr = $this->getRevision($budget_id, $rev_id);
		return $lastr->price;
	}	

	function getBudget($budget_id) {
		$row =& $this->getTable('budgets');
		$row->load($budget_id);
		return ($row);
	}
	
	function getElements($budget_id, $rev_id) {
		if ($rev_id == null) $rev_id = 0;
		$db = &JFactory::getDBO();
		$query = "SELECT * FROM #__bdg_budgets_elements WHERE budget_id = ".$budget_id." AND revision_id = ".$rev_id;
		$db->setQuery($query);
		$elements = $db->loadObjectList();
		return $elements;
	}
	
	function getRevisions($budget_id) {
		$db = &JFactory::getDBO();
		$query = "SELECT count(*) as count FROM #__bdg_budgets_revision WHERE budget_id = ".$budget_id;
		$db->setQuery($query);
		return $db->loadResult();	
	}
	
	function getRevision($budget_id, $rev_id) {
		if ($rev_id == null) $rev_id = 0;
		if ($rev_id == 0) {
			$row = &$this->getTable('budgets');
			$row->load($budget_id);
			$row->revision_num = 0;
		} else {
			$db = &JFactory::getDBO();
			$query = "SELECT * FROM #__bdg_budgets_revision WHERE budget_id = ".$budget_id." AND revision_num = ".$rev_id;
			$db->setQuery($query);
			$row = $db->loadObject();
		}
		return $row;
	}
	
	function getMessages($budget_id) {
		$db = &JFactory::getDBO();
		$query = "SELECT * FROM #__bdg_budgets_messages WHERE budget_id = ".$budget_id;
		$db->setQuery($query);
		$rows = $db->loadObjectList();
		return $rows;
	}
	
	function getType($type_id) {
		$row =& $this->getTable('type');
		$row->load($type_id);
		return $row;
	}
}
