<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	bdgcolors.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );

if(!class_exists('JFakeElementBase')) {
        if(version_compare(JVERSION,'1.6.0','ge')) {
                class JFakeElementBase extends JFormField {
                        // This line is required to keep Joomla! 1.6/1.7 from complaining
                        public function getInput() {}
                }               
        } else {
                class JFakeElementBase extends JElement {}
        }
}

class JFakeElementBDGColors extends JFakeElementBase
{
	var	$_name 			= 'bdgcolors';

	function fetchElement($name, $value, &$node, $control_name)
	{
            $db = &JFactory::getDBO();
            $query = "SELECT * FROM #__bdg_colors";
            $db->setQuery($query);

            $rowsi[] = JHTML::_('select.option',  '0', 'GTMagic', 'id', 'title' );
            $rowsm = $db->loadObjectList();

            $rows = array_merge($rowsi, $rowsm);
            $javascript = '';
            $html = JHTML::_('select.genericlist',   $rows, $control_name.'['.$name.']', 'class="inputbox" size="1"'.$javascript,'id', 'title', $value );
		
            return $html;
	}

	function getInput() {
            $db = &JFactory::getDBO();
            $query = "SELECT * FROM #__bdg_colors";
            $db->setQuery($query);

            $rowsi[] = JHTML::_('select.option',  '0', 'GTMagic', 'id', 'title' );
            $rowsm = $db->loadObjectList();

            $rows = array_merge($rowsi, $rowsm);
            $javascript = '';
            $html = JHTML::_('select.genericlist',   $rows, $this->name, 'class="inputbox" size="1"'.$javascript,'id', 'title', $this->value );
		
            return $html;
	}
}

if(version_compare(JVERSION,'1.6.0','ge')) {
        class JFormFieldBDGColors extends JFakeElementBDGColors {}
} else {
        class JElementBDGColors extends JFakeElementBDGColors {}                
}
?>
