<?php
  //----------------------------------------------------------------------
  // JBudgetsMagic
  // JBudgetsMagic by Fernando Hidalgo - http://joomlamagic.es
  //----------------------------------------------------------------------

  //----------------------------------------------------------------------
  // Author: 	Fernando Hidalgo - http://joomlamagic.es
  // Copyright: copyright (C) 2009 - Fernando Hidalgo.
  // License: 	GNU/GPL, http://www.gnu.org/copyleft/gpl.html
  // Pack: 	JBudgetsMagic
  // File: 	controller.php
  //----------------------------------------------------------------------  
  
  //----------------------------------------------------------------------    
  // JBudgetsMagic is free software. This version may have been modified pursuant
  // to the GNU General Public License, and as distributed it includes or
  // is derivative of works licensed under the GNU General Public License or
  // other free or open source software licenses.  
  //----------------------------------------------------------------------


defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.controller');

class bdgController extends JController
{
    function display() {
		parent::display();
    }
    
    function send() {
    	$user = JFactory::getUser();
    	$url_return = JURI::Base() . '?option=com_jbudgetsmagic&view=form&Itemid='.JRequest::getInt('Itemid');
    	$url_return = JRoute::_($url_return);
    	$mainframe = &JFactory::getApplication();
        if (JRequest::getString('user_email') == '') {
            $msg = JText::_('COM_JBUDGETSMAGIC_FILL_EMAIL_FIELD');
        } elseif (($user->id == null) && (bdgHelperConfig::getConfig('anonymous', '0'))) {
            $msg = JText::_('COM_JBUDGETSMAGIC_INVITED_USER_NO_ACCESS');
    	} else {
//ini_set("display_errors",1);
            $model = $this->getModel('form');
            $data = JRequest::get('post');
            $data['user_email'] = JRequest::getString('user_email');
            $data['title'] = JRequest::getString('title');
            $data['description'] = JRequest::getVar('description', 'none', 'POST', 'STRING', JREQUEST_ALLOWHTML);
            $bid = $model->sendForm($data);
            $msg = JText::_('COM_JBUDGETSMAGIC_THE_BUDGET_WAS_SENT');
            
			// Mail Send
			$mailer =& JFactory::getMailer();
			$config =& JFactory::getConfig();
			$sender = array(
			$config->getValue( 'config.mailfrom' ),
			$config->getValue( 'config.fromname' ) );
			
			$pass = bdgHelperConfig::getConfig('randomkey','set');
			if ($pass == 'set') {
				$pass = bdgHelperConfig::genRandomString(20);
				$version = new JVersion();
				if ($version->RELEASE == '1.5') {				
					$table =& JTable::getInstance('component');
					$table->loadByOption( 'com_jbudgetsmagic' );
					$saver['option'] = 'com_jbudgetsmagic';
					$saver['params']['randomkey'] = $pass;
					$table->bind( $saver );
					$table->store();
				} else {
					// TODO: No funciona
					bdgHelperConfig::setConfig('randomkey',$pass);
				}
			}	
			$tmp_dir =  $config->getValue('config.tmp_path');
			
			$url = JURI::Root().'index.php?option=com_jbudgetsmagic&view=mybudget&bid='.$bid.'&format=pdf&key='.$pass;
			$t = bdgHelperConfig::genRandomString(20);
			$path = $tmp_dir . DS . $bid.'-'.$t.'.pdf';
			 
			// TODO: Al intentar generar el fichero PDF se produce un fallo por no estar logueado el usuario desde
			// el servidor, REVISAR!
			if (function_exists('curl_init')) {
				$ch = curl_init($url);
				curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
				$data = curl_exec($ch);
				curl_close($ch);
				file_put_contents($path, $data);
			} elseif (function_exists('file_get_contents')) {
				$data = file_get_contents($url);
				file_put_contents($path, $data);
			} else {
				echo JText::_("COM_JBUDGETSMAGIC_ERROR_CURL_INIT_DISABLE_FILE_GET_CONTENTS_DISABLE");
			}
			$mailer->setSender($sender);
			$mailer->addRecipient(JRequest::getString('user_email'));
			$mailer->setSubject(JText::_('COM_JBUDGETSMAGIC_SENT_BUDGET_TO').' '.$config->getValue( 'config.sitename' ));
			$mailer->setBody(JText::_('COM_JBUDGETSMAGIC_A_BUDGET_HAS_BEEN_SENT_TO_THE_SITE').': '.JURI::Root());
			$mailer->isHTML(true);
			
			$mailer->addAttachment($path);
			$mailer->send();

			jimport( 'joomla.filesystem.file' );
			JFile::delete($path);
			
    	}    	
    	$mainframe->redirect($url_return, $msg);
    }
    
    function addmessage() {
    	$user = JFactory::getUser();
    	$message = JRequest::get('post');
    	if ($user->id <> $message['user_id']) {
    		JError::raiseError(1, JText::_('COM_JBUDGETSMAGIC_INVALID_USER_NO_ACCESS'));
    	} else {
    		$date = & JFactory::getDate();
    		$message['upload'] = $date->toMySQL();
    		$mainframe = &JFactory::getApplication();
			
			if (($message['title'] == "") || ($message['description'] == "")) {
				$msg = JText::_('COM_JBUDGETSMAGIC_TITLE_AND_DESCRIPTION_FIELDS_IN_NEW_COMMENT_ARE_REQUIRED');
			} else {
				$msg = JText::_('COM_JBUDGETSMAGIC_COMMENT_ADDED');
				$row =& JTable::getInstance('budgets_messages', 'Table');
    			if (!$row->bind( $message )) {
        			return JError::raiseWarning( 500, $row->getError() );
				}
				if (!$row->store()) {
        			JError::raiseError(500, $row->getError() );
				}				
			}
			
			$mainframe->redirect($message['url_return'], $msg);
    	}
    }
    
    function approve_budget() {   	
    	$user = JFactory::getUser();
    	$bid = JRequest::getInt('bid');
    	$model = $this->getModel('mybudget');
    	$budget = $model->getBudget($bid);
    	if ($user->id <> $budget->user_id) {
    		JError::raiseError(1, JText::_('COM_JBUDGETSMAGIC_INVALID_USER_NO_ACCESS'));
    	} else {
    		$budget->state = 'Approved';
    		if (!$budget->store()) {
        		JError::raiseError(500, $row->getError() );
			}
			$mainframe = &JFactory::getApplication();
			$msg = JText::_('COM_JBUDGETSMAGIC_BUDGET_APPROVED');
			$url_return = JURI::Base() . 'index.php?option=com_jbudgetsmagic&view=mybudget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid');
			$mainframe->redirect($url_return, $msg);
    	}
    }
    
    function cancel_budget() {
    	$user = JFactory::getUser();
    	$bid = JRequest::getInt('bid');
    	$model = $this->getModel('mybudget');
    	$budget = $model->getBudget($bid);   
        if ($user->id <> $budget->user_id) {
    		JError::raiseError(1, JText::_('COM_JBUDGETSMAGIC_INVALID_USER_NO_ACCESS'));
    	} else {
    		$budget->state = 'Cancelled';
    		if (!$budget->store()) {
        		JError::raiseError(500, $row->getError() );
			}
			$mainframe = &JFactory::getApplication();
			$msg = JText::_('COM_JBUDGETSMAGIC_BUDGET_CANCELLED');
			$url_return = JURI::Base() . 'index.php?option=com_jbudgetsmagic&view=mybudget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid');
			$mainframe->redirect($url_return, $msg);			
    	} 	
    }
    
    function open_budget() {
     	$user = JFactory::getUser();
    	$bid = JRequest::getInt('bid');
    	$model = $this->getModel('mybudget');
    	$budget = $model->getBudget($bid);   
        if ($user->id <> $budget->user_id) {
    		JError::raiseError(1, JText::_('COM_JBUDGETSMAGIC_INVALID_USER_NO_ACCESS'));
    	} else {
    		$budget->state = 'Opened';
    		if (!$budget->store()) {
        		JError::raiseError(500, $row->getError() );
			}
			$mainframe = &JFactory::getApplication();
			$msg = JText::_('COM_JBUDGETSMAGIC_BUDGET_OPENED');
			$url_return = JURI::Base() . 'index.php?option=com_jbudgetsmagic&view=mybudget&bid=' . JRequest::getInt('bid') . '&Itemid=' . JRequest::getInt('Itemid');
			$mainframe->redirect($url_return, $msg);			
    	} 	   	
    }
}
